#pragma once
#include "response.h"
#include "htmlloader.h"

class CSystemResponse : public CResponse
{
public:
	CSystemResponse(CServer *server,CWorkspaceAccess context,CString info,int code,CString detail="詳細情報はありません。");
	virtual ~CSystemResponse(void);

	virtual void PreCreateResponse() {};				//	1:レスポンス生成準備		
	virtual void SetNextData(CBuffer &data) {};			//	2:受信データの設定(繰り返し)
	virtual void CreateResponse();						//	3:レスポンスの生成
	virtual __int64 GetResponseSize();					//	4:レスポンスサイズの取得
//	virtual CWorkspaceAccess GetResponseInfo();			//	5:レスポンス情報を取得
	virtual int GetNextData(CBuffer &data);				//	6:レスポンスの取得

	CString GetDetail();
	CString GetInfo();

private:
	CString		m_info;
	CString		m_detail;
	int			m_code;
	CHtmlLoader	m_body;
	int			m_done;
};
